form_field_expr.h File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_form_mult_field_var(field_var)

## Functions

| _RHEOLEF_form_mult_field_var (field_component) _RHEOLEF_form_mult_field_var(field_component_const) _RHEOLEF_form_mult_field_var(field_indirect) _RHEOLEF_form_mult_field_var(field_indirect_const) template< class T
return a | operator* (eh)

## Variables

field_basic< T, M > | eh = expr

## Macro Definition Documentation

## _RHEOLEF_form_mult_field_var

#define _RHEOLEF_form_mult_field_var | ( |  | field_var | ) |

Value:
template <class T, class M> \
inline \
field_basic<T,M> \
operator* (const form_basic<T,M>& a, const field_var<T,M>& expr) \
{ \
field_basic<T,M> eh = expr; \
return a.operator* (eh); \
}
eh
field_basic< T, M > eh
Definition: form_field_expr.h:58
mkgeo_ball.expr
expr
Definition: mkgeo_ball.sh:361
mkgeo_ball.a
int a
Definition: mkgeo_ball.sh:151
a
Definition: diffusion_isotropic.h:25

Definition at line 33 of file form_field_expr.h.

## Function Documentation

## operator*()

return a rheolef::std::operator* | ( | eh |  | ) |

## Variable Documentation

## eh

field_basic<T,M> eh = expr

Examples
  combustion_error.cc, convect_error.cc, convect_hdg_error.cc, cosinusprod_error.cc, cosinusprod_error_dg.cc, cosinusprod_error_hdg_average.cc, cosinusprod_post_dg.cc, cosinusrad_error.cc, elasticity_taylor_error_dg.cc, helmholtz_s_error.cc, p_laplacian_error.cc, sinusprod_error.cc, sinusprod_error_dg.cc, sinusprod_error_hdg_average.cc, sinusrad_error.cc, transport_tensor_error_dg.cc, and yield_slip_error.cc.

Definition at line 58 of file form_field_expr.h.